"""Module with datasets."""
from . import (kghub, kgobo, linqs, monarchinitiative, networkrepository,
               pheknowlatorkg, string, yue, zenodo, wikidata, wikipedia)
from .get_dataset import (get_all_available_graphs_dataframe,
                          get_available_graphs_from_repository,
                          get_available_repositories,
                          get_available_versions_from_graph_and_repository,
                          validate_graph_version,
                          get_dataset)

from .get_okapi_tfidf_weighted_textual_embedding import get_okapi_tfidf_weighted_textual_embedding
from .get_graph_okapi_tfidf_weighted_textual_embedding import get_graph_okapi_tfidf_weighted_textual_embedding
from .get_wikipedia_tfidf_weighted_textual_embedding import get_wikipedia_okapi_tfidf_weighted_textual_embedding
from .get_string_okapi_tfidf_weighted_textual_embedding import get_string_okapi_tfidf_weighted_textual_embedding
from .get_kgx_okapi_tfidf_weighted_textual_embedding import get_kghub_okapi_tfidf_weighted_textual_embedding, get_kgobo_okapi_tfidf_weighted_textual_embedding

__all__ = [
    "get_dataset",
    "get_available_repositories",
    "get_available_graphs_from_repository",
    "get_all_available_graphs_dataframe",
    "get_available_versions_from_graph_and_repository",
    "validate_graph_version",
    "kghub", "kgobo", "linqs", "monarchinitiative", "wikidata",
    "wikipedia",
    "networkrepository", "string", "yue", "zenodo", "pheknowlatorkg",
    "get_okapi_tfidf_weighted_textual_embedding",
    "get_graph_okapi_tfidf_weighted_textual_embedding",
    "get_wikipedia_okapi_tfidf_weighted_textual_embedding",
    "get_string_okapi_tfidf_weighted_textual_embedding",
    "get_kghub_okapi_tfidf_weighted_textual_embedding",
    "get_kgobo_okapi_tfidf_weighted_textual_embedding"
]
